Bug 11604 - Can't perform paritionless installation on DELL Laptop
Can't perform paritionless installation on DELL Laptop
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-05-23 10:58 EDT by Robert (Roger) Stelmack
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-23 11:14:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert (Roger) Stelmack 2000-05-23 10:58:41 EDT
Using Red Hat 6.1 tried to install a paritionless installation to test to
see of Red Hat 6.1 and my DELL Latitude CPi Model: PPL would work before
commiting the system to Linux. The DELL, running Win/98 has 6GB hard drive,
3.19GB used by Win/98, 2.70GB free -- as window reports on the disc
properties. Additionally has 128MB, DELL 24x CD-ROM, DELL floppy, DELL
10/100 LAN+56K Modem Cardbus by 3COM model 3CCFEM656, DELL Logitech 2
button mouse (or touch pad), LCD screen (Neomagic MagicMedia 256AV, I
think) and an optional LS120 floppy drive united (not used in this

I boot from the CD and perform an EXPERT installation. I get all the way
through to the Red Hat GUI Installation and use Disk Druid to choose the
DOS (FAT) Partition to define as "/" (as shown on section B.2.2 Using Disc
Druid). The following is displayed:

Mount Point	Device	Requested	Actual	Type
<not set>	hda1	6047M		6047M	WIN95 FAT32
<not set>	hda2	133M		133M	0x84

Drive	Geom		Total	Free	Used	Used %
hda	789/255/63	6189M	8M	6181M	99%

I highlight hda1 and select EDIT. Then in the next window it shows similar
to figure B-2 Editing a DOS (FAT) Partition (except the size is 6047). I
type in the "/" for root and click on OK. I get the error message "The
mount point is illegal. System partitions must be on Linux Native
Partitions". This is where I stop.

I have ordered the latest Red Hat version, but it will take some time for
me to get it. Is this a mistake on my part assuming that Red Hat will just
create a file to install the Linux system under the DOS file type and pump
the directory structure into it (much like some databases use a single file
and directly read/write a pseudo structure into it)?

There is a small confussion that shows up in the Disk Druid GUI window --
it does not show the spare space that the Win/98 showed for the Win98 FAT32
system. Do I misunderstand the Disk Druid display?

My only reason to test this way before wiping out Windows and doing a
standard Linux partitioning and install, was to see that Linux would work
on a DELL laptop. Any sage advice?

Robert Stelmack
Comment 1 Michael Fulbright 2000-06-09 18:06:08 EDT
Assigned to test lab to attempt to reproduce.
Comment 2 Brock Organ 2000-06-23 11:14:45 EDT
partitionless installs first appeared in Red Hat Linux 6.2; and is not an option
in 6.1 ...

please let us know if you are unable to perform a partitionless install using
6.2 ... thanks for your report!

Note You need to log in before you can comment on or make changes to this bug.